from cryptography.fernet import Fernet
from pssecret_server.settings import Settings, get_settings
from typing import Annotated
from fastapi import Depends


def get_fernet(settings: Annotated[Settings, Depends(get_settings)]) -> Fernet:
    return Fernet(settings.secrets_encryption_key)
